/*
 * $Id$
 *
 * [ Description ]
 * 
 */

#include "Behavioural/include/Component.h"

namespace morpheo              {
namespace behavioural          {

#undef  FUNCTION
#define FUNCTION "Component::get_entity"
  string Component::get_entity (void)
  {
    log_printf(FUNC,Behavioural,FUNCTION,"Begin");

    ostringstream text;
    text << *(_entity); 

    log_printf(FUNC,Behavioural,FUNCTION,"End");

    return text.str();
  };

}; // end namespace behavioural          
}; // end namespace morpheo              
